Bug 1317229 - HostSetupNetworks dialog hangs forever when cluster has no DC
HostSetupNetworks dialog hangs forever when cluster has no DC
Status: NEW
Product: ovirt-engine
Classification: oVirt
Component: BLL.Network (Show other bugs)
3.6.3.3
x86_64 Linux
low Severity low (vote)
: ovirt-4.3.0
: ---
Assigned To: bugs@ovirt.org
Michael Burman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-13 04:23 EDT by Michael Burman
Modified: 2017-10-25 06:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.3+


Attachments (Terms of Use)
Logs (50.63 KB, application/x-gzip)
2016-03-13 04:23 EDT, Michael Burman
no flags Details

  None (edit)
Description Michael Burman 2016-03-13 04:23:03 EDT
Created attachment 1135793 [details]
Logs

Description of problem:
Can't open Setup Networks dialog when cluster has no DC.

If we got to situation in which we have a host in a cluster without a DC(was removed and his networks were removed as well), we won't be able to open the Setup Networks dialog. It will be hanging on for ever without any time out.

Version-Release number of selected component (if applicable):
3.6.3.4-0.1.el6

How reproducible:
100

Steps to Reproduce:
1. Working setup: DC, Cluster, Host
2. Remove DC
3. Try to Open setup networks dialog

Actual results:
Operation hangs on for ever. can't open setup networks

Expected results:
Should be able to open setup networks
Comment 1 Sandro Bonazzola 2016-05-02 05:57:55 EDT
Moving from 4.0 alpha to 4.0 beta since 4.0 alpha has been already released and bug is not ON_QA.
Comment 2 Yaniv Lavi 2016-05-23 09:18:58 EDT
oVirt 4.0 beta has been released, moving to RC milestone.
Comment 3 Yaniv Lavi 2016-05-23 09:26:20 EDT
oVirt 4.0 beta has been released, moving to RC milestone.
Comment 4 Dan Kenigsberg 2017-08-15 07:13:50 EDT
We could either:
- block the dialog
- fail immediately with an explicit error
- or best: let the use open the dialog to see current networks and modify the few possible things.

Note You need to log in before you can comment on or make changes to this bug.